/**
 * 
 */
package org.richfaces.realworld.search;

import java.util.List;

import org.richfaces.realworld.service.ISearchAction;

/**
 * @author Andrey Markavtsov
 *
 */
public abstract class ISearchOption {
	
	private boolean selected = true;
	
	private List<?> searchResult; 
	
	public abstract String getName();
	
	public abstract String getSearchResultName();

	public abstract String getTemplate();
	
	public abstract String getSearchResultTemplate();
	
	public abstract void search(ISearchAction action, String searchQuery, boolean searchInMyAlbums, boolean searchInShared);
	
	public boolean getSelected() {
		return selected;
	}
	
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	
	@Override
	public String toString() {
		return getName();
	}

	public List<?> getSearchResult() {
		return searchResult;
	}

	public void setSearchResult(List<?> searchResult) {
		this.searchResult = searchResult;
	}

}

